Subject: Re: bug#25928: [PATCH] gnu: Add darktable.
From: Roel Janssen <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Björn Höfling <[email-masked]>, [email-masked]
Date: Wed, 10 May 2017 19:51:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus writes:

> Roel Janssen <[email-masked]> writes:
>
>> > I wonder if it would be possible to augment LDFLAGS and CPATH in
>> > #:configure-flags or #:make-flags instead of using build phases (which I
>> > find a bit crude).
>> >
>> > If that’s too hard I promise I won’t complain about doing it with build
>> > phases :)
>
>> See attached patch.  By adding the LDFLAGS part to either #:make-flags
>> or #:configure-flags, the run-path validation phase fails at the end of
>> the build process.
>
>> So, maybe we can settle half-way here? :-)
>
> Sure, looks good to me!
>
>> > Good to push with the change to the description.
>> > Thanks!
>
>> Is this then finally the moment we get to have darktable in Guix? :-)
>
> Yay!  Thank you!

Pushed in 91a9c65c7bae73d999ccc2288833e909ce4a0871.

Thanks!

Kind regards,
Roel Janssen